Routines
Queue an asynchronous routine dispatch
Queues an asynchronous dispatch for the specified routine.
Fejlécparaméterek
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Elérési útvonal paraméterei
routine_name
string
kötelező
The unique name of the routine.
Paraméterek lekérdezése
api-version
string
kötelező
The API version to use for this operation.
Kérelem törzse
payload
invoke_agent_responses_api | invoke_agent_invocations_api
Base model for a manual dispatch payload.
invoke_agent_responses_api
InvokeAgentResponsesApiDispatchPayload
A manual payload used to test a responses API routine dispatch.
type
enum
kötelező
The manual dispatch payload type.
input
InvokeAgentResponsesApiDispatchPayload
kötelező
The JSON value sent as the complete downstream responses input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.
invoke_agent_invocations_api
InvokeAgentInvocationsApiDispatchPayload
A manual payload used to test an invocations API routine dispatch.
type
enum
kötelező
The manual dispatch payload type.
input
InvokeAgentInvocationsApiDispatchPayload
kötelező
The JSON value sent as the complete downstream invocations input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.
Válaszok
The request has succeeded.
Törzs
dispatch_id
string
The dispatch identifier created for the routine dispatch.
action_correlation_id
string
A downstream action correlation identifier, when available.
task_id
string
A workspace task identifier created for the dispatch, when available.
Kérés
POST /routines/{routine_name}:dispatch_async HTTP/1.1
Válasz
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json